Package com.emc.documentum.rest.model

# Class TypeLifecycleInfo

java.lang.Object
com.emc.documentum.rest.model.AbstractLinkable
com.emc.documentum.rest.model.PersistentObject
com.emc.documentum.rest.model.TypeObject
com.emc.documentum.rest.model.TypeLifecycleInfo

All Implemented Interfaces:
  `com.emc.documentum.rest.conditional.Digestible`, `Linkable`

public class TypeLifecycleInfo extends TypeObject

- ## Field Summary

  ### Fields inherited from class com.emc.documentum.rest.model.TypeObject

  `ASPECT_PROPERTY, DATA_TABLE, DEFAULT_FIELDS, LIGHTWEIGHT, MANDATORY_FIELDS, SHAREABLE, STANDARD`

  ### Fields inherited from class com.emc.documentum.rest.model.PersistentObject

  `id, isLightweight, isMaterialized, isSnapshot, isVirtual, mandatoryAttributes, optionalAttributes, parentId, permissions, properties, reqDigest, type, typeDef, versionPolicy`

  ### Fields inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `links`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TypeLifecycleInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `removeDuplicateInfo(TypeObject type)`

  ### Methods inherited from class com.emc.documentum.rest.model.TypeObject

  `addAttributeInfo, addConstraint, addMappingTable, addScopeConfig, getAttributeInfoAsMap, getAttributeInfoList, getAuditableAppEvents, getAuditableSystemEvents, getCategory, getCommentText, getConstraints, getCreateTypeLifecycle, getCreateTypeLifecycle, getDefaultLifecycle, getDefaultLifecycleVersion, getHelpText, getIgnoreConstraints, getLabel, getMandatoryFields, getMappingTables, getName, getParent, getScopeConfigs, getSharedParent, getType, getTypeLifecycles, removeDuplicateLifecycleInfo, setAttributeInfoList, setAuditableAppEvents, setAuditableSystemEvents, setCategory, setCategory, setCommentText, setConstraints, setDefaultLifecycle, setDefaultLifecycleVersion, setHelpText, setIgnoreConstraints, setLabel, setMappingTables, setName, setParent, setScopeConfigs, setSharedParent, setTypeLifecycles`

  ### Methods inherited from class com.emc.documentum.rest.model.PersistentObject

  `addAttribute, addMandatoryAttribute, addOptionalAttribute, calculatesDigest, convertDate, geOptionalAttribute, getAttributeByName, getAttributes, getId, getInternalFields, getMandatoryAttribute, getOptionalFields, getParentId, getPermissions, getReqDigest, getTypeDef, getVersionPolicy, hasAttribute, hasAttributeValue, hasOptionalAttribute, isLightweight, isMatchedWithReqDigest, isMaterialized, isSnapshot, isVirtualDocument, reInitAttributes, removeAttributeIfExisted, setId, setIsSnapshot, setIsVirtualDocument, setLightweight, setMaterialized, setParentId, setPermissions, setReqDigest, setType, setTypeDef, setVersionPolicy, toString`

  ### Methods inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `getLinks, setLinks`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TypeLifecycleInfo

    public TypeLifecycleInfo()

- ## Method Details

  - ### removeDuplicateInfo

    public boolean removeDuplicateInfo(TypeObject type)